/*
    BLUES - BD-Java emulation server

    Copyright (C) 2007-2016 GuinpinSoft inc <blues@makemkv.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/
package glue.java.lang;

public class Throwable {

    private static void report(String action, java.lang.Throwable x) {
        if (blues.Log.enabled(blues.Log.LOG_EXCEPTIONS)) {
            blues.Log.log(blues.Log.LOG_EXCEPTIONS, action, (x == null) ? "null" : x.toString(), " at ",
                    (x == null) ? "null" : x.getStackTrace()[0].toString());
        }
    }

    public static void reportCatch(java.lang.Throwable x) {
        report("Catch: ", x);
    }

    public static void reportThrow(java.lang.Throwable x) {
        report("Throw: ", x);
    }
}
